import {FormControl} from '@angular/forms';


export function datetimeValidator(control: FormControl): any {
  if (control.value === undefined || control.value === null ||  control.value.length === 0 ) {
    return null;
  }
  if (control.value.length !== 19) {
    return {datetime: '请使用 yyyy-MM-dd HH:mi:ss格式'};
  }
  const vDate = new Date(Date.parse(control.value.replace(/-/g, '/')));
  if (isNaN(vDate.getTime())) {
    return {datetime: '请使用 yyyy-MM-dd HH:mi:ss格式'};
  }
  return null;
}
